Skip to main content
POST
cURL

Body

application/json
handle
string
required
Maximum string length: 255
name
string
required
Maximum string length: 255
evaluator
enum<string>
required

conditions: a database rule — rule is a condition tree over the fields of GET /groups/rule-fields, compiled to SQL. jsonlogic: a context rule — rule is JsonLogic evaluated against the profile context.

Available options:
conditions,
jsonlogic
rule
object
required

A condition tree ({"all": [...]}, {"any": [...]}, {"not": {...}} or {"field", "op", "value"}) for conditions; a JsonLogic object for jsonlogic.

description
string | null
default_arguments
string[] | null
context_requirements
string[] | null
is_active
boolean
meta
object

Response

GroupRuleDefinition

data
GroupRuleDefinition · object
required